## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/aicopilotconfigs

### Get Agent Copilot Configurations

**cURL**

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/aicopilotconfigs \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/aicopilotconfigs"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/aicopilotconfigs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Status Codes

- **200**  
- **400**  
- **401**  
- **402**  
- **403**  
- **404**  
- **405**  
- **409**  
- **413**  
- **500**  
- **501**  
- **502**  
- **503**  
- **504**

### Sample Success Response
```json
{
  "items": [
    {
      "name": "<string>",
      "description": "<string>",
      "config": {
        "grid": {
          "columns": 123,
          "rows": 123,
          "gap": 123
        },
        "tiles": {
          "tile-id": {
            "x": 123,
            "y": 123,
            "columns": 123,
            "rows": 123
          }
        }
      },
      "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Sample Error Responses
#### Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Payment Required
```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations
#### APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2

**X-API-Key**
- Type: string
- Location: header
- Required: Supply the API Key in the HTTP-Header

### Request Headers
#### Accept
- Type: enum[string]
- Description: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

Available options:
- `application/json`
- `application/hal+json`
- `application/xml`
- `text/xml`
- `text/csv`

### Query Parameters
- **projectId**: string (Required string length: `24`, Pattern: `^[a-z0-9]{24}$`)
- **filter**: string (Filter records by specific field eg:name.)
- **limit**: integer (Required range: `1 <= x <= 100`, Default: 25)
- **skip**: integer (Required range: `x >= 0`)
- **sort**: string (Minimum string length: `1`, Format: `field:direction`)
- **next**: string (Required string length: `24`, Pattern: `^[a-z0-9]{24}$`)
- **previous**: string (Required string length: `24`, Pattern: `^[a-z0-9]{24}$`)

### Response
#### 200
- Content-Type: application/json
- Description: Returns an array of Agent Copilot configuration objects.
